
<template>
<div>
  <section class="container">
    <div
      class="quill-editor"
      :content="content"
      @change="onEditorChange($event)"
      @blur="onEditorBlur($event)"
      @focus="onEditorFocus($event)"
      @ready="onEditorReady($event)"
      v-quill:myQuillEditor="editorOption"
    ></div>
  </section>
</div>
</template>
<script>
export default {
  data() {
    return {
      somedata:"",
      content: this.$t('news.editor'),
      editorOption: {
        // some quill options
        modules: {
          toolbar: [
            ["bold", "italic", "underline", "strike"]
          ]
        }
      }
    };
  },
  watch:{
    somedata(){
      this.$emit('sendout',this.somedata);      
    }
  },
  mounted() {
    // console.log("app init, my quill insrance object is:", this.myQuillEditor);
    // setTimeout(() => {
    //   this.content = "轉換編譯";
    // }, 3000);
  },
  methods: {
    onEditorBlur(editor) {
      // console.log("editor blur!",editor);
      // this.somedata = editor.scrollingContainer.innerText
    },
    onEditorFocus(editor) {
      // console.log("editor focus!", editor);
    },
    onEditorReady(editor) {
      // console.log("editor ready!", editor);
    },
    onEditorChange({ editor, html, text }) {
      // console.log("editor change!", editor, html, text);
      return this.somedata = html
    }
  }
};
</script>
 
<style lang="scss" scoped>
.container {
  width: 100%;
  .quill-editor {
    background-color: #ffffff;
    font-size: 0.5rem;
    min-height: 200px;
    max-height: 400px;
    overflow-y: auto;
    border-bottom-left-radius: 15px;
    border-bottom-right-radius: 15px;
  }
}
</style>